## mldonkey 3.0.3

=== Makefile ===

# 
#
#
#   Do not edit Makefile, edit config/Makefile.in instead
#
#
#
#
#



include config/Makefile.config

ifneq ("$(GLIBC_VERSION)" , "")
  GLIBC_VERSION_ARCH = "_glibc-"$(GLIBC_VERSION)
endif

##################################################################

##             Bytecode or Native ?

##################################################################

NO_LIBS_byte=
NO_LIBS_opt=
NO_STATIC_LIBS_opt=
NO_CMXA=

LIBS_byte=-custom bigarray.cma unix.cma str.cma
LIBS_opt= bigarray.cmxa unix.cmxa str.cmxa

BIGARRAY_LIBS_opt=bigarray.cmxa
BIGARRAY_LIBS_byte=bigarray.cma

CRYPT_LIBS_opt=-cclib -lcrypt
CRYPT_LIBS_byte=-cclib -lcrypt


#######################################################################

##              General options

#######################################################################

ifeq ("$(GUI)", "newgui2")
  ICONS_CHOICE=icons/rsvg
  SRC_GUI=src/gtk2/gui
  GUI_CODE=GTK2GUI
  GTK=gtk2
else
  CONFIGWIN=src/gtk/configwin
  GPATTERN=src/gtk/gpattern
  OKEY=src/gtk/okey
  GTK=gtk
  ifeq ("$(GUI)", "newgui1")
    SRC_PROGRESS=src/gtk/progress
    ICONS_CHOICE=icons/tux
    GUI_CODE=NEWGUI
    SRC_GUI=src/gtk/newgui
  else
    SRC_GUI=src/gtk/gui
    ICONS_CHOICE=icons/kde
    GUI_CODE=OLDGUI
  endif
endif


CDK=src/utils/cdk
LIB=src/utils/lib
NET=src/utils/net
RSS=src/utils/ocamlrss
XML=src/utils/xml-light

COMMON=src/daemon/common
DRIVER=src/daemon/driver
MP3=src/utils/mp3tagui

SRC_DONKEY=src/networks/donkey
SRC_BITTORRENT=src/networks/bittorrent
SRC_OPENNAP=src/networks/opennap
SRC_GNUTELLA=src/networks/gnutella
SRC_GNUTELLA2=src/networks/gnutella2
SRC_OPENFT=src/networks/openFT
SRC_FASTTRACK=src/networks/fasttrack
SRC_SOULSEEK=src/networks/soulseek
SRC_DIRECTCONNECT=src/networks/direct_connect
SRC_FILETP=src/networks/fileTP

SUBDIRS=$(CDK) $(LIB) $(RSS) $(XML) $(NET) tools \
   $(COMMON) $(DRIVER) $(MP3) src/config/$(OS_FILES)

INCLUDES += $(foreach file, $(SUBDIRS), -I $(file))

CFLAGS:=$(CFLAGS) $(CONFIG_INCLUDES) $(GTKCFLAGS) $(GD_CFLAGS)

TARGETS= mlnet$(EXE) 

ifeq ("$(OS_FILES2)", "mingw")

RESFILE= resfile.o

endif

ifeq ("$(OS_FILES2)", "cygwin")

RESFILE= resfile.o

endif

ifeq ("$(DEVEL)", "yes")

TARGETS += mldonkey_installer$(EXE)

endif


#######################################################################

##              Objects files for "mldonkey"

#######################################################################

LIBS_flags += -ccopt "$(LDFLAGS) $(CPPFLAGS)" -cclib "$(LIBS)"

ifeq ("$(OS_FILES2)", "mingw")
  LIBS_flags += -cclib "-lws2_32 -lgdi32 -luser32 -ladvapi32 -lwsock32 -limm32 -lshell32 -lole32 resfile.o"
endif

ifeq ("$(OS_FILES2)", "cygwin")
  LIBS_flags += -cclib "resfile.o"
endif

ifeq ("$(BZIP2)", "yes")
  LIBS_flags += -cclib -lbz2
  CDK_SRCS +=  $(CDK)/bzlib.ml $(CDK)/bzip2.ml
endif

CDK_SRCS +=  $(CDK)/zlib.ml $(CDK)/zip.ml $(CDK)/gzip.ml $(CDK)/zlibstubs.c $(CDK)/tar.mlcpp

CDK_SRCS += $(LIB)/autoconf.ml


CDK_SRCS+= $(LIB)/fifo.ml $(CDK)/arg2.ml $(LIB)/syslog.ml $(CDK)/printf2.ml \
  $(CDK)/heap.ml \
  $(CDK)/printexc2.ml $(CDK)/genlex2.ml \
  $(CDK)/filepath.ml $(CDK)/string2.ml \
  $(CDK)/filename2.ml $(CDK)/list2.ml $(CDK)/hashtbl2.ml \
  $(CDK)/unix2.ml $(CDK)/file.ml \
  $(CDK)/heap_c.c $(CDK)/array2.ml
  
ifneq ("$(PTHREAD_CFLAGS)" , "")
  CFLAGS += $(PTHREAD_CFLAGS)
  LIBS_flags += -ccopt "$(PTHREAD_CFLAGS)"
#  LIBS_byte += -ccopt "$(PTHREAD_CFLAGS)"
endif

ifneq ("$(PTHREAD_MINGW_CFLAGS)" , "")
  CFLAGS += $(PTHREAD_MINGW_CFLAGS)
endif

ifneq ("$(PTHREAD_LIBS)" , "")
  LIBS_flags += -cclib "$(PTHREAD_LIBS)"
#  LIBS_byte += -cclib "$(PTHREAD_LIBS)"
endif

MP3TAG_SRCS=     $(MP3)/mp3_info.ml  $(MP3)/mp3_genres.ml \
  $(MP3)/mp3_misc.ml\
  $(MP3)/mp3_tag.ml $(MP3)/mp3tag.ml


LIB_SRCS=   \
  src/config/$(OS_FILES)/mlUnix.ml \
  src/config/$(OS_FILES)/os_stubs_c.c \
	$(LIB)/bitv.ml \
  $(LIB)/intmap.ml $(LIB)/stringMap.ml \
  $(LIB)/int64ops.ml $(LIB)/options.ml4 \
  $(LIB)/levenshtein.ml \
  $(LIB)/intset.ml \
  $(LIB)/store.ml \
  $(LIB)/indexer.ml $(LIB)/indexer1.ml $(LIB)/indexer2.ml \
  $(LIB)/misc2.mlcpp $(LIB)/misc.ml $(LIB)/unix32.ml  $(LIB)/md4.ml \
  $(LIB)/http_lexer.mll $(LIB)/url.ml \
  $(RSS)/rss_date.ml \
  $(LIB)/date.ml  $(LIB)/fst_hash.c \
  $(LIB)/md4_comp.c $(LIB)/md4_c.c \
  $(LIB)/charsetstubs.c $(LIB)/charset.ml \
  $(LIB)/gettext.ml4 $(LIB)/md5_c.c $(LIB)/sha1_c.c \
  $(LIB)/tiger.c \
  $(LIB)/stubs_c.c  $(LIB)/set2.ml $(LIB)/queues.ml \
  $(LIB)/verificationBitmap.ml

ifeq ("$(MAGIC)", "yes")
  MAGIC_LIBS_flags += -cclib -lmagic
  MAGIC_SRCS = $(LIB)/magiclib.ml $(LIB)/magic_magic.ml $(LIB)/magiclib_stub.c
else
  MAGIC_SRCS = $(LIB)/magic_nomagic.ml
endif
MAGIC_SRCS += $(LIB)/magic.ml

NET_SRCS = \
  $(NET)/basicSocket.ml \
  $(NET)/ip.ml $(NET)/ip_set.ml $(NET)/geoip.ml $(NET)/mailer.ml $(NET)/base64.ml  \
  $(NET)/anyEndian.ml $(NET)/bigEndian.ml $(NET)/littleEndian.ml \
  $(NET)/tcpBufferedSocket.ml \
  $(NET)/tcpServerSocket.ml \
  $(NET)/udpSocket.ml $(NET)/http_server.ml $(NET)/http_client.ml \
  $(NET)/cobs.ml \
  $(NET)/terminal.ml

XML_SRCS= \
  $(XML)/xml_types.ml $(XML)/xml_parser.mly $(XML)/xml_lexer.mll \
  $(XML)/xml_dtd.ml $(XML)/xmlParser.ml $(XML)/xml.ml

RSS_SRCS= \
  $(RSS)/rss_messages.ml $(RSS)/rss_types.ml  $(RSS)/rss_io.ml  $(RSS)/rss.ml

COMMON_SRCS = \
  $(XML_SRCS) $(RSS_SRCS) \
  $(COMMON)/commonTypes.ml \
  $(COMMON)/guiTypes.ml \
  $(COMMON)/guiProto.ml \
  $(COMMON)/commonEvent.ml \
  $(COMMON)/commonOptions.ml \
  $(COMMON)/commonPictures.ml \
  $(COMMON)/commonUserDb.ml \
  $(COMMON)/commonMessages.ml \
  $(COMMON)/commonGlobals.ml \
  $(COMMON)/commonBitzi.ml \
  $(COMMON)/guiDecoding.ml \
  $(COMMON)/guiEncoding.ml \
  $(COMMON)/giftLexer.mll \
  $(COMMON)/giftParser.mly \
  $(COMMON)/giftEncoding.ml \
  $(COMMON)/giftDecoding.ml \
  $(COMMON)/commonHasher.ml \
  $(COMMON)/commonHosts.ml \
  $(COMMON)/commonIndexing.ml \
  $(COMMON)/commonHasher_c.c

COMMON_CLIENT_SRCS= \
  $(COMMON)/commonUser.ml \
  $(COMMON)/commonNetwork.ml \
  $(COMMON)/commonServer.ml \
  $(COMMON)/commonClient.ml \
  $(COMMON)/commonFile.ml \
  $(COMMON)/commonResult.ml \
  $(COMMON)/commonWeb.ml \
  $(COMMON)/commonBlocking.ml  \
  $(COMMON)/commonComplexOptions.ml \
  $(COMMON)/commonShared.ml \
  $(COMMON)/commonRoom.ml \
  $(COMMON)/commonSearch.ml \
  $(COMMON)/commonMultimedia.ml \
  $(COMMON)/commonSwarming.ml \
  $(COMMON)/commonInteractive.ml \
  $(COMMON)/commonChunks.ml \
  $(COMMON)/commonDownloads.ml \
  $(COMMON)/commonUploads.ml \
  $(COMMON)/commonSources.ml \
  $(COMMON)/commonStats.ml

all: Makefile config/Makefile.config $(TARGET_TYPE)

config/configure: config/configure.in
	cd config; autoconf

ifeq ("$(CONFIGURE_RUN)" , "yes")

config/Makefile.config: config/configure config/Makefile.config.in $(LIB)/autoconf.ml.new.in packages/rpm/Makefile.in
	./configure $(CONFIGURE_ARGUMENTS)

else

config/Makefile.config: Makefile config/configure config/Makefile.config.in
	@echo '******************************************'
	@echo 
	@echo 
	@echo ' You should rerun ./configure now         '
	@echo 
	@echo 
	@echo '******************************************'
endif

Makefile: config/Makefile.in
	(cd config; m4 Makefile.in > ../Makefile)

#######################################################################

#              PLUGINS

#######################################################################

MAIN_SRCS=$(COMMON)/commonMain.ml

ifeq ("$(DONKEY_SUI)", "yes")
  CRYPTOPP_LIBS_flags += -cc '$(CXX) $(CXXFLAGS)' -ccopt '$(CRYPTOPPFLAGS)'
  DONKEY_SRCS += $(LIB)/CryptoPP.cc $(LIB)/CryptoPP_stubs.c $(SRC_DONKEY)/donkeySui1.ml $(SRC_DONKEY)/donkeySui.ml
else
  DONKEY_SRCS += $(SRC_DONKEY)/donkeySui2.ml $(SRC_DONKEY)/donkeySui.ml
endif

DONKEY_SRCS += \
  \
  $(SRC_DONKEY)/donkeyTypes.ml \
  $(SRC_DONKEY)/donkeyOptions.ml \
  $(SRC_DONKEY)/donkeyMftp.ml \
  $(SRC_DONKEY)/donkeyImport.ml \
  $(SRC_DONKEY)/donkeyOpenProtocol.ml \
  $(SRC_DONKEY)/donkeyProtoClient.ml \
  $(SRC_DONKEY)/donkeyProtoServer.ml  \
  $(SRC_DONKEY)/donkeyProtoUdp.ml  \
  $(SRC_DONKEY)/donkeyPandora.ml  \
  \
  $(SRC_DONKEY)/donkeyGlobals.ml \
  $(SRC_DONKEY)/donkeyProtoCom.ml  \
  \
  $(SRC_DONKEY)/donkeyComplexOptions.ml \
  $(SRC_DONKEY)/donkeySupernode.ml \
  $(SRC_DONKEY)/donkeyShare.ml \
  $(SRC_DONKEY)/donkeyReliability.ml \
  $(SRC_DONKEY)/donkeyThieves.ml \
  $(SRC_DONKEY)/donkeyStats.ml \
  $(SRC_DONKEY)/donkeyOneFile.ml \
  \
  $(SRC_DONKEY)/donkeyOvernetImport.ml \
  $(SRC_DONKEY)/donkeyOvernet.ml \
  $(SRC_DONKEY)/donkeyProtoKademlia.ml \
  $(SRC_DONKEY)/donkeyClient.ml \
  $(SRC_DONKEY)/donkeyProtoOvernet.ml \
  $(SRC_DONKEY)/donkeyUdp.ml \
  $(SRC_DONKEY)/donkeyFiles.ml  \
  $(SRC_DONKEY)/donkeyServers.ml \
  $(SRC_DONKEY)/donkeySearch.ml \
  $(SRC_DONKEY)/donkeyInteractive.ml \
  $(SRC_DONKEY)/donkeyMain.ml


OPENNAP_SRCS= \
 $(SRC_OPENNAP)/napigator.mll \
 $(SRC_OPENNAP)/winmx_xor_c.c \
 $(SRC_OPENNAP)/opennapTypes.ml \
 $(SRC_OPENNAP)/opennapProtocol.ml \
 $(SRC_OPENNAP)/opennapOptions.ml \
 $(SRC_OPENNAP)/opennapGlobals.ml \
 $(SRC_OPENNAP)/opennapComplexOptions.ml \
 $(SRC_OPENNAP)/opennapClients.ml \
 $(SRC_OPENNAP)/opennapServers.ml \
 $(SRC_OPENNAP)/opennapInteractive.ml \
 $(SRC_OPENNAP)/opennapMain.ml 

GNUTELLA_SRCS= \
  $(SRC_GNUTELLA)/gnutellaNetwork.ml \
  $(SRC_GNUTELLA)/gnutellaTypes.ml \
  $(SRC_GNUTELLA)/gnutellaOptions.ml \
  $(SRC_GNUTELLA)/gnutellaGlobals.ml \
  $(SRC_GNUTELLA)/gnutellaComplexOptions.ml \
  $(SRC_GNUTELLA)/gnutellaFunctions.ml \
  $(SRC_GNUTELLA)/gnutellaProtocol.ml \
  $(SRC_GNUTELLA)/gnutellaProto.ml \
  $(SRC_GNUTELLA)/gnutellaClients.ml \
  $(SRC_GNUTELLA)/gnutellaPandora.ml \
  $(SRC_GNUTELLA)/gnutellaHandler.ml \
  $(SRC_GNUTELLA)/gnutellaRedirector.ml \
  $(SRC_GNUTELLA)/gnutellaServers.ml \
  $(SRC_GNUTELLA)/gnutellaSupernode.ml \
  $(SRC_GNUTELLA)/gnutellaInteractive.ml \
  $(SRC_GNUTELLA)/gnutellaMain.ml

# The only files specific to Gnutella2 are:
#  $(SRC_GNUTELLA2)/g2Network.ml
#  $(SRC_GNUTELLA2)/g2Proto.ml 
#  $(SRC_GNUTELLA2)/g2Handler.ml 
#  $(SRC_GNUTELLA2)/g2Redirector.ml 

GNUTELLA2_SRCS= \
  $(SRC_GNUTELLA2)/g2Network.ml \
  $(SRC_GNUTELLA2)/g2Types.mlt \
  $(SRC_GNUTELLA2)/g2Options.mlt \
  $(SRC_GNUTELLA2)/g2Globals.mlt \
  $(SRC_GNUTELLA2)/g2ComplexOptions.mlt \
  $(SRC_GNUTELLA2)/g2Functions.mlt \
  $(SRC_GNUTELLA2)/g2Protocol.mlt \
  $(SRC_GNUTELLA2)/g2Proto.ml \
  $(SRC_GNUTELLA2)/g2Clients.mlt \
  $(SRC_GNUTELLA2)/g2Pandora.ml \
  $(SRC_GNUTELLA2)/g2Handler.ml \
  $(SRC_GNUTELLA2)/g2Redirector.ml \
  $(SRC_GNUTELLA2)/g2Servers.mlt \
  $(SRC_GNUTELLA2)/g2Supernode.ml \
  $(SRC_GNUTELLA2)/g2Interactive.mlt \
  $(SRC_GNUTELLA2)/g2Main.mlt


# The only files specific to Fasttrack are:
#  $(SRC_FASTTRACK)/fasttrackNetwork.ml 
#  $(SRC_FASTTRACK)/fasttrackGlobals.ml 
#  $(SRC_FASTTRACK)/fasttrackProtocol.ml 
#  $(SRC_FASTTRACK)/fasttrackProto.ml 
#  $(SRC_FASTTRACK)/fasttrackHandler.ml 
#  $(SRC_FASTTRACK)/fasttrackServers.ml 
#  $(SRC_FASTTRACK)/fasttrackPandora.ml 


FASTTRACK_SRCS= \
  $(SRC_FASTTRACK)/enc_type_1.c \
  $(SRC_FASTTRACK)/enc_type_2.c \
  $(SRC_FASTTRACK)/enc_type_20.c \
  $(SRC_FASTTRACK)/enc_type_80.c \
  $(SRC_FASTTRACK)/fst_crypt.c \
  $(SRC_FASTTRACK)/fst_crypt_ml.c \
  $(SRC_FASTTRACK)/fasttrackNetwork.ml \
  $(SRC_FASTTRACK)/fasttrackTypes.mlt \
  $(SRC_FASTTRACK)/fasttrackOptions.mlt \
  $(SRC_FASTTRACK)/fasttrackGlobals.ml \
  $(SRC_FASTTRACK)/fasttrackComplexOptions.mlt \
  $(SRC_FASTTRACK)/fasttrackFunctions.mlt \
  $(SRC_FASTTRACK)/fasttrackProtocol.ml \
  $(SRC_FASTTRACK)/fasttrackProto.ml \
  $(SRC_FASTTRACK)/fasttrackClients.mlt \
  $(SRC_FASTTRACK)/fasttrackHandler.ml \
  $(SRC_FASTTRACK)/fasttrackServers.ml \
  $(SRC_FASTTRACK)/fasttrackPandora.ml \
  $(SRC_FASTTRACK)/fasttrackInteractive.mlt \
  $(SRC_FASTTRACK)/fasttrackMain.mlt

BITTORRENT_SRCS= \
  $(SRC_BITTORRENT)/bencode.ml \
  $(SRC_BITTORRENT)/bTRate.ml \
  $(SRC_BITTORRENT)/bTTypes.ml \
  $(SRC_BITTORRENT)/bTOptions.ml \
  $(SRC_BITTORRENT)/bTProtocol.ml \
  $(SRC_BITTORRENT)/bTTorrent.ml \

=== debian/changelog ===
mldonkey (3.0.3-4) unstable; urgency=low

  * Fix a typo in mldonkey-server.postrm: s/lib/log, thanks to adsb
    for the review.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 27 Oct 2010 21:55:38 +0200

mldonkey (3.0.3-3) unstable; urgency=low

  * Do not erase existing configuration on upgrades (Closes: #601332, #522900),
    (LP: #478206).
  * Recursively chown /var/{log,run}/mldonkey (Closes: #593091).
  * Remove /var/{log,run}/mldonkey on purge.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 26 Oct 2010 06:31:48 +0200

mldonkey (3.0.3-2) unstable; urgency=low

  * Add myself to Uploaders
  * Add Danish debconf translation (Closes: #599126)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Oct 2010 10:44:57 +0200

mldonkey (3.0.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #580087)
  * Switch source package format to 3.0 (quilt)
  * Fix numerous Lintian tags

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Aug 2010 22:35:32 -0400

mldonkey (3.0.1-1) unstable; urgency=low

  * New upstream release
    - Fix download of torrent files with no 'announce' field (Closes: #551896)
    - Fix torrent parsing when announce-list is empty (Closes: #552004)
  * Update my e-mail address and remove DMUA
  * Refresh packaging
    - Use new features of dh-ocaml 0.9
    - Use debhelper's overrides
  * Pass "--iosched idle" to start-stop-daemon (Closes: #549498)
  * Rotate the log files found in /var/log/mldonkey/ (Closes: #539726)
  * Modify ocaml_3.11.1 so that it works with all 3.11.* versions

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 11 Feb 2010 23:05:41 +0100

mldonkey (3.0.0-3) unstable; urgency=low

  [ Samuel Mimram ]
  * Update Spanish debconf translation, closes: #524447.

  [ Mehdi Dogguy ]
  * Remove useless file: /var/log/mldonkey/mldonkey-server.log.
  * Update build-dependencies to ease OCaml 3.11.1 transition.
  * Add a patch ocaml_3.11.1 to let mldonkey build with OCaml 3.11.1.
  * Add a patch to remove bashism from script make_buginfo, Closes: #530141.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Sat, 04 Jul 2009 21:38:05 +0200

mldonkey (3.0.0-2) unstable; urgency=low

  * Init script now exports default locale found in /etc/default/locale
    (when the file exists), closes: #473133.
  * Remove msse2 flag for i386 architecture as it leads to illegal instruction
    on some processors, closes: #520093.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Tue, 17 Mar 2009 13:18:57 +0100

mldonkey (3.0.0-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove useless explanation in chroot section of README.Debian.
  * Add debian/gbp.conf to force using pristine-tar

  [ Stephane Glondu ]
  * Switch packaging to git.

  [ Samuel Mimram ]
  * New upstream release, closes: #508280.
  * Fixes alignement problem on ARM, closes: #487803.
  * Remove useless line in init script, closes: #509001.
  * Better handling of errors in init script, closes: #508538.
  * Pass --debconf-ok option to ucf, closes: #514449.
  * Mention default telnet port in README.Debian, closes: #508436.
  * Updated vietnamese debconf translation, closes: #513369.
  * Update standards version to 3.8.1.
  * Don't uselessly build-depend on dpkg-dev.
  * Version reference to GPL in copyright.

  [ Mehdi Dogguy ]
  * New upstream release, closes: #516829.
  * Bump standards version to 3.8.0, no changes needed.
  * Fix Lintian warning concerning debian/mldonkey-server.postinst: not
    specify full path of used commands.
  * Add ${misc:Depends} as a dependency for mldonkey-gui.
  * Add myself to uploaders.
  * Add DMUA flag (with Sam's blessing)
  * Add Homepage field
  * Use ocamlbuild to build utils
  * Add msse2 flag for i386 architecture
  * Simplify debian/rules
  * Create a manpage for mldonkey (link to mlnet's manpage for the moment)
  * Drop chrooted-mlnet support and do not suggest makejail anymore,
    closes: #204266.
  * Update/install NEWS.Debian and mention (again) removal of mldonkey_server
    (already mentioned in this changelog, entries 2.8.1-3, 2.8.3-2 and
    2.8.5-2), closes: #517996.
  * Add missing build-dependency libbz2-dev to enable Directconnect protocol.
  * Move mldonkey_{files,options,command,submit} to /usr/lib/mldonkey.
    Closes: #484674
  * Move the daemon's log in /var/log/mldonkey, closes: #508533.
  * Add debian/xml-man/generate-man to automatically generate manpages from
    help output, closes: #432205.
  * Remove some debconf questions, closes: #332324.

 -- Samuel Mimram <smimram@debian.org>  Mon, 16 Mar 2009 20:11:12 +0100

mldonkey (2.9.5-2) unstable; urgency=low

  [ Samuel Mimram ]
  * Enable directconnect protocol, closes: #481332.

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
    - Japanese. Closes: #498567

  [ Sylvain Le Gall ]
  * Acknowledge NMU

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 27 Oct 2008 10:08:47 +0100

mldonkey (2.9.5-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Italian. Closes: #480751
    - Finnish. Closes: #492549
    - Swedish. Closes: #493175
    - Russian. Closes: #493754
    - Japanese. Closes: #494399

 -- Christian Perrier <bubulle@debian.org>  Thu, 24 Jul 2008 08:44:48 +0200

mldonkey (2.9.5-1) unstable; urgency=low

  * New upstream release.
  * Removed useless mldonkey-server menu entries, closes: #465274.
  * Added Basque translation (thanks Piarres Beobide), closes: #470880.

 -- Samuel Mimram <smimram@debian.org>  Mon, 05 May 2008 22:29:36 +0200

mldonkey (2.9.4-1) unstable; urgency=low

  * New upstream release.
  * Rebuilding with OCaml 3.10.1 should fix crashed on amd64, closes: #439030.
  * Wait for mldonkey to stop in init script (thanks Trek), closes: #440551.

 -- Samuel Mimram <smimram@debian.org>  Sun, 02 Mar 2008 18:38:46 +0100

mldonkey (2.9.3-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Samuel Mimram ]
  * New upstream release.


=== debian/control ===
Source: mldonkey
Section: net
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Sylvain Le Gall <gildor@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>
Homepage: http://mldonkey.sourceforge.net/
Build-Depends: autoconf, autotools-dev,
 ocaml-nox (>= 3.11.1-3~),
 ocaml-best-compilers,
 dh-ocaml (>= 0.9.1),
 camlp4,
 debhelper (>= 7.0.50~),
 po-debconf,
 xsltproc,
 zlib1g-dev,
 libbz2-dev,
 docbook-xsl,
 docbook-xml,
 m4,
 debconf,
 liblablgtk2-ocaml-dev (>= 2.12.0-3),
 libgd2-xpm-dev,
 liblablgtk2-gnome-ocaml-dev,
 libxml2-utils
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mldonkey.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mldonkey.git

Package: mldonkey-server
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 adduser,
 mime-support,
 debconf,
 ucf
Description: Door to the 'donkey' network
 MLDonkey is a door to the 'donkey' network, a decentralized network used to
 exchange big files on the Internet. It is written in a wonderful language,
 called Objective-Caml, and present most features of the basic Windows donkey
 client, plus some more:
  - works on UNIX-compatible platforms.
  - remote control by telnet, WEB browser or GTK+ interface.
  - access to EDonkey (edonkey2000, overnet, emule)
  - access to Gnutella1/2
  - access to Bittorrent

Package: mldonkey-gui
Architecture: any
Suggests: mldonkey-server (= ${binary:Version})
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Description: Graphical frontend for mldonkey based on GTK+
 The GTK+ interface for mldonkey provides a convenient way of managing
 all mldonkey operations. It gives details about connected servers,
 downloaded files, friends and lets one search for files in a pleasing
 way.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

override_dh_auto_clean:
# Update the PO, as suggested in "man 7 po-debconf"
	debconf-updatepo
# Add here commands to clean up after the build process.
	$(MAKE) clean distclean
	$(MAKE) -C debian/xml-man clean
	$(MAKE) -C debian/utils clean
	-$(RM) config/trying
	-$(RM) packages/rpm/Makefile
	-$(RM) *.ini *.ini.old
	-$(RM) config/confdefs.h

override_dh_auto_configure:
	cd config; autoconf
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" ./configure $(confflags) \
	  --enable-gui=newgui2 \
	  --enable-directconnect \
          --disable-magic \
	  --disable-fasttrack

override_dh_auto_build:
	$(MAKE) utils.$(OCAML_BEST) $(OCAML_BEST)
ifeq ($(OCAML_BEST),byte)
	cp mlnet.byte mlnet
	cp mlgui.byte mlgui
	cp mlguistarter.byte mlguistarter
endif
# Check that the compilation has succeeded
	test -x mlnet
	test -x mlgui
# Make manpages
	$(MAKE) -C debian/xml-man all
# Build utilities
	make -C debian/utils TARGET=$(OCAML_BEST)

override_dh_auto_install:
	$(RM) $(CURDIR)/debian/mldonkey-server/usr/share/doc/mldonkey-server/distrib/Copying.txt
	$(RM) $(CURDIR)/debian/mldonkey-server/usr/share/doc/mldonkey-server/distrib/GeoIP_LICENSE.txt

override_dh_installinit:
	dh_installinit -a -pmldonkey-server --error-handler=init_error -- start 98 2 3 4 5 . stop 20 0 1 6 .

override_dh_strip:
ifeq ($(OCAML_BEST),opt)
	dh_strip -a
endif

%:
	dh --with ocaml $@

## mldonkey 3.0.7

=== Makefile ===
--- 
+++ 
@@ -67,7 +67,9 @@
 endif
 
 
+EXTLIB=src/utils/extlib
 CDK=src/utils/cdk
+BITSTRING=src/utils/bitstring
 LIB=src/utils/lib
 NET=src/utils/net
 RSS=src/utils/ocamlrss
@@ -88,10 +90,10 @@
 SRC_DIRECTCONNECT=src/networks/direct_connect
 SRC_FILETP=src/networks/fileTP
 
-SUBDIRS=$(CDK) $(LIB) $(RSS) $(XML) $(NET) tools \
+SUBDIRS=$(EXTLIB) $(CDK) $(BITSTRING) $(LIB) $(RSS) $(XML) $(NET) tools \
    $(COMMON) $(DRIVER) $(MP3) src/config/$(OS_FILES)
 
-INCLUDES += $(foreach file, $(SUBDIRS), -I $(file))
+INCLUDES += $(foreach file, $(SUBDIRS), -I $(file)) -I +camlp4
 
 CFLAGS:=$(CFLAGS) $(CONFIG_INCLUDES) $(GTKCFLAGS) $(GD_CFLAGS)
 
@@ -131,6 +133,10 @@
 ifeq ("$(OS_FILES2)", "cygwin")
   LIBS_flags += -cclib "resfile.o"
 endif
+
+BITSTRING_SRCS = \
+  $(BITSTRING)/bitstring.ml \
+  $(BITSTRING)/bitstring_c.c
 
 ifeq ("$(BZIP2)", "yes")
   LIBS_flags += -cclib -lbz2
@@ -149,7 +155,9 @@
   $(CDK)/filename2.ml $(CDK)/list2.ml $(CDK)/hashtbl2.ml \
   $(CDK)/unix2.ml $(CDK)/file.ml \
   $(CDK)/heap_c.c $(CDK)/array2.ml
-  
+
+EXTLIB_SRCS += $(EXTLIB)/IO.ml
+
 ifneq ("$(PTHREAD_CFLAGS)" , "")
   CFLAGS += $(PTHREAD_CFLAGS)
   LIBS_flags += -ccopt "$(PTHREAD_CFLAGS)"
@@ -201,7 +209,7 @@
 
 NET_SRCS = \
   $(NET)/basicSocket.ml \
-  $(NET)/ip.ml $(NET)/ip_set.ml $(NET)/geoip.ml $(NET)/mailer.ml $(NET)/base64.ml  \
+  $(NET)/ip.ml $(NET)/ip_set.ml $(NET)/geoip.ml $(NET)/base64.ml $(NET)/mailer.ml \
   $(NET)/anyEndian.ml $(NET)/bigEndian.ml $(NET)/littleEndian.ml \
   $(NET)/tcpBufferedSocket.ml \
   $(NET)/tcpServerSocket.ml \
@@ -240,6 +248,8 @@
   $(COMMON)/commonHasher_c.c
 
 COMMON_CLIENT_SRCS= \
+  $(NET)/upnpClient.ml \
+  $(NET)/upnp_stubs.c \
   $(COMMON)/commonUser.ml \
   $(COMMON)/commonNetwork.ml \
   $(COMMON)/commonServer.ml \
@@ -325,6 +335,7 @@
   $(SRC_DONKEY)/donkeyOneFile.ml \
   \
   $(SRC_DONKEY)/donkeyOvernetImport.ml \
+  $(SRC_DONKEY)/donkeyNodesDat.ml \
   $(SRC_DONKEY)/donkeyOvernet.ml \
   $(SRC_DONKEY)/donkeyProtoKademlia.ml \
   $(SRC_DONKEY)/donkeyClient.ml \
@@ -423,12 +434,3 @@
   $(SRC_FASTTRACK)/fasttrackServers.ml \
   $(SRC_FASTTRACK)/fasttrackPandora.ml \
   $(SRC_FASTTRACK)/fasttrackInteractive.mlt \
-  $(SRC_FASTTRACK)/fasttrackMain.mlt
-
-BITTORRENT_SRCS= \
-  $(SRC_BITTORRENT)/bencode.ml \
-  $(SRC_BITTORRENT)/bTRate.ml \
-  $(SRC_BITTORRENT)/bTTypes.ml \
-  $(SRC_BITTORRENT)/bTOptions.ml \
-  $(SRC_BITTORRENT)/bTProtocol.ml \
-  $(SRC_BITTORRENT)/bTTorrent.ml \

=== debian/changelog ===
mldonkey (3.0.7-1) unstable; urgency=low

  * New upstream release (Closes: #599204)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Feb 2011 17:20:32 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  ocaml-best-compilers,
  dh-ocaml (>= 0.9.1),
  camlp4,
- debhelper (>= 7.0.50~),
+ debhelper (>= 8),
  po-debconf,
  xsltproc,
  zlib1g-dev,
@@ -26,7 +26,7 @@
  libgd2-xpm-dev,
  liblablgtk2-gnome-ocaml-dev,
  libxml2-utils
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mldonkey.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mldonkey.git

=== debian/rules ===
--- 
+++ 
@@ -66,4 +66,4 @@
 endif
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml

## mldonkey 3.1.0

=== Makefile ===
--- 
+++ 
@@ -28,8 +28,8 @@
 NO_STATIC_LIBS_opt=
 NO_CMXA=
 
-LIBS_byte=-custom bigarray.cma unix.cma str.cma
-LIBS_opt= bigarray.cmxa unix.cmxa str.cmxa
+LIBS_byte=-custom bigarray.cma unix.cma str.cma nums.cma
+LIBS_opt= bigarray.cmxa unix.cmxa str.cmxa nums.cmxa
 
 BIGARRAY_LIBS_opt=bigarray.cmxa
 BIGARRAY_LIBS_byte=bigarray.cma
@@ -152,9 +152,9 @@
   $(CDK)/heap.ml \
   $(CDK)/printexc2.ml $(CDK)/genlex2.ml \
   $(CDK)/filepath.ml $(CDK)/string2.ml \
-  $(CDK)/filename2.ml $(CDK)/list2.ml $(CDK)/hashtbl2.ml \
+  $(CDK)/filename2.ml $(CDK)/array2.ml $(CDK)/hashtbl2.ml \
   $(CDK)/unix2.ml $(CDK)/file.ml \
-  $(CDK)/heap_c.c $(CDK)/array2.ml
+  $(CDK)/heap_c.c $(CDK)/list2.ml
 
 EXTLIB_SRCS += $(EXTLIB)/IO.ml
 
@@ -433,4 +433,3 @@
   $(SRC_FASTTRACK)/fasttrackHandler.ml \
   $(SRC_FASTTRACK)/fasttrackServers.ml \
   $(SRC_FASTTRACK)/fasttrackPandora.ml \
-  $(SRC_FASTTRACK)/fasttrackInteractive.mlt \

=== debian/changelog ===
mldonkey (3.1.0-3) unstable; urgency=low

  * Enable hardened build flags through dpkg-buildflags (Closes: #655140).
    Thanks to Moritz Muehlenhoff for reporting it and providing a patch.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 09 Jan 2012 12:27:37 +0100

mldonkey (3.1.0-2) unstable; urgency=low

  * Remove /var/lib/mldonkey on purge

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Sep 2011 00:04:12 +0200

mldonkey (3.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #637646)
    - remove Add-a-constructor-to-NullNameValuePairs-in-CryptoPP..patch
      (applied upstream)
  * Remove /var/lib/mldonkey/downloads.ini on purge

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Sep 2011 20:33:21 +0200

mldonkey (3.0.7-2) unstable; urgency=low

  * Fix FTBFS with g++ 4.6 (Closes: #625051)
  * Remove unused mldonkey-server/fasttrack_problem template
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 May 2011 15:38:22 +0200

## mldonkey 3.1.1

=== debian/changelog ===
mldonkey (3.1.1-1) unstable; urgency=low

  * New upstream release
    - fix FTBFS with GCC 4.7 (Closes: #667283)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 11 Apr 2012 21:27:45 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  libgd2-xpm-dev,
  liblablgtk2-gnome-ocaml-dev,
  libxml2-utils
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mldonkey.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mldonkey.git

## mldonkey 3.1.2

=== debian/changelog ===
mldonkey (3.1.2-1build1) saucy; urgency=low

  * Rebuild for libgd3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 00:18:24 +0100

mldonkey (3.1.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 06 Jun 2012 14:37:35 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  libgd2-xpm-dev,
  liblablgtk2-gnome-ocaml-dev,
  libxml2-utils
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mldonkey.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mldonkey.git

=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,6 @@
   confflags += --build $(DEB_HOST_GNU_TYPE)
 else
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
-endif
-
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-        CFLAGS += -O0
-else
-        CFLAGS += -O2
 endif
 
 override_dh_auto_clean:
@@ -32,7 +24,7 @@
 
 override_dh_auto_configure:
 	cd config; autoconf
-	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" ./configure $(confflags) \
+	./configure $(confflags) $(shell dpkg-buildflags --export=configure) \
 	  --enable-gui=newgui2 \
 	  --enable-directconnect \
           --disable-magic \

## mldonkey 3.1.3

=== debian/changelog ===
mldonkey (3.1.3-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:27:16 +0000

mldonkey (3.1.3-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Set filter-pristine-tar=True in debian/gbp.conf

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Stéphane Glondu ]
  * New upstream release (Closes: #712075)
  * Use canonical URLs in Vcs-* fields

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Jun 2013 21:32:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Samuel Mimram <smimram@debian.org>,
- Sylvain Le Gall <gildor@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Homepage: http://mldonkey.sourceforge.net/
 Build-Depends: autoconf, autotools-dev,
@@ -27,8 +26,8 @@
  liblablgtk2-gnome-ocaml-dev,
  libxml2-utils
 Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mldonkey.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mldonkey.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/mldonkey.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/mldonkey.git
 
 Package: mldonkey-server
 Architecture: any

## mldonkey 3.1.5

=== debian/changelog ===
mldonkey (3.1.5-3build2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:47:22 +0000

mldonkey (3.1.5-3build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 16:44:19 -0600

mldonkey (3.1.5-3) unstable; urgency=medium

  * Team upload
  * Remove myself from Uploaders
  * Fix compilation with OCaml 4.02

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2015 10:05:31 +0200

mldonkey (3.1.5-2) unstable; urgency=medium

  * Build svg_converter.byte to avoid FTBFS (Closes: #749371).

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 09 Aug 2014 11:10:12 +0200

mldonkey (3.1.5-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * New upstream release.
  * Redirect startup output into the log file (Closes: #708870)

  [ Peter Eisentraut ]
  * Add support for "status" action to mldonkey-server init script (Closes: #647719)

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 27 Mar 2014 00:37:41 +0100

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	  --disable-fasttrack
 
 override_dh_auto_build:
-	$(MAKE) utils.$(OCAML_BEST) $(OCAML_BEST)
+	$(MAKE) svg_converter.byte utils.$(OCAML_BEST) $(OCAML_BEST)
 ifeq ($(OCAML_BEST),byte)
 	cp mlnet.byte mlnet
 	cp mlgui.byte mlgui

=== debian/watch ===
version=3
http://sf.net/mldonkey/mldonkey-([\d\.]+)\.tar\.bz2

## mldonkey 3.1.6

=== Makefile ===
--- 
+++ 
@@ -148,9 +148,9 @@
 CDK_SRCS += $(LIB)/autoconf.ml
 
 
-CDK_SRCS+= $(LIB)/fifo.ml $(CDK)/arg2.ml $(LIB)/syslog.ml $(CDK)/printf2.ml \
-  $(CDK)/heap.ml \
-  $(CDK)/printexc2.ml $(CDK)/genlex2.ml \
+CDK_SRCS+= $(LIB)/fifo.ml $(CDK)/arg2.ml $(LIB)/syslog.ml \
+  $(CDK)/printexc2.ml $(CDK)/printf2.ml \
+  $(CDK)/heap.ml $(CDK)/genlex2.ml \
   $(CDK)/filepath.ml $(CDK)/string2.ml \
   $(CDK)/filename2.ml $(CDK)/array2.ml $(CDK)/hashtbl2.ml \
   $(CDK)/unix2.ml $(CDK)/file.ml \

=== debian/changelog ===
mldonkey (3.1.6-1fakesync1) bionic-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 12 Nov 2017 18:48:23 -0800

mldonkey (3.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream. This release compiles on ocaml 4.05 (closes:  #876735)
    - refreshed patch 0001-Use-usr-bin-see-as-default-previewer.patch
    - dropped patch 0004-Fix-compilation-with-OCaml-4.02.patch
  * Changed build-dependency on libgd2-xpm-dev to libgd-dev (closes: #880775)
  * debian/watch: point to github
  * Debhelper compatibility level 10:
    - dropped build-dependency on autotools-dev 
  * Dropped build-dependency on obsolete ocaml-best-compilers
  * Added build-dependency on ocamlbuild
  * Standards-Version 4.1.1
  * - drop debian/mldonkey-gui.menu

 -- Ralf Treinen <treinen@debian.org>  Tue, 07 Nov 2017 21:18:26 +0100

mldonkey (3.1.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use -std=gnu++98 to workaround FTBFS on ppc64el,
    thanks to Frederic Bonnard. (Closes: #859965)
  * Add Brazilian Portuguese debconf templates translation
    from Eder L. Marques. (Closes: #795366)

 -- Adrian Bunk <bunk@debian.org>  Wed, 26 Apr 2017 10:10:51 +0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: mldonkey
 Section: net
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stéphane Glondu <glondu@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Homepage: http://mldonkey.sourceforge.net/
-Build-Depends: autoconf, autotools-dev,
+Build-Depends: autoconf,
  ocaml-nox (>= 3.11.1-3~),
- ocaml-best-compilers,
  dh-ocaml (>= 0.9.1),
+ ocamlbuild,
  camlp4,
- debhelper (>= 8),
+ debhelper (>= 10),
  po-debconf,
  xsltproc,
  zlib1g-dev,
@@ -22,10 +22,10 @@
  m4,
  debconf,
  liblablgtk2-ocaml-dev (>= 2.12.0-3),
- libgd2-xpm-dev,
+ libgd-dev,
  liblablgtk2-gnome-ocaml-dev,
  libxml2-utils
-Standards-Version: 3.9.3
+Standards-Version: 4.1.1
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/mldonkey.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/mldonkey.git
 
@@ -36,6 +36,7 @@
  ${ocaml:Depends},
  ${misc:Depends},
  adduser,
+ lsb-base,
  mime-support,
  debconf,
  ucf

=== debian/watch ===
version=3
https://github.com/ygrek/mldonkey/releases /.*/mldonkey-([\d\.]+)\.tar\.bz2

## mldonkey 3.1.7

=== debian/changelog ===
mldonkey (3.1.7-2) unstable; urgency=medium

  * Team upload
  * Do not call "ocamlc -custom" with g++ (fixes FTBFS on bytecode)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Aug 2020 11:20:06 +0200

mldonkey (3.1.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #939334)
  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * Switch copyright to format 1.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Aug 2020 09:30:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: mldonkey
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Homepage: http://mldonkey.sourceforge.net/
 Build-Depends: autoconf,
- ocaml-nox (>= 3.11.1-3~),
- dh-ocaml (>= 0.9.1),
+ ocaml-nox,
+ dh-ocaml,
  ocamlbuild,
  camlp4,
- debhelper (>= 10),
+ debhelper-compat (= 13),
  po-debconf,
  xsltproc,
  zlib1g-dev,
@@ -21,16 +20,19 @@
  docbook-xml,
  m4,
  debconf,
- liblablgtk2-ocaml-dev (>= 2.12.0-3),
+ libnum-ocaml-dev,
+ liblablgtk2-ocaml-dev,
  libgd-dev,
  liblablgtk2-gnome-ocaml-dev,
  libxml2-utils
-Standards-Version: 4.1.1
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/mldonkey.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/mldonkey.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/ocaml-team/mldonkey.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/mldonkey
 
 Package: mldonkey-server
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${shlibs:Depends},
  ${ocaml:Depends},

=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,21 @@
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
+# workaround for #859965
+export DEB_CXXFLAGS_MAINT_APPEND = -std=gnu++98
+
+%:
+	dh $@ --with ocaml
+
 override_dh_auto_clean:
 # Update the PO, as suggested in "man 7 po-debconf"
 	debconf-updatepo
 # Add here commands to clean up after the build process.
-	$(MAKE) clean distclean
+	dh_auto_clean
 	$(MAKE) -C debian/xml-man clean
 	$(MAKE) -C debian/utils clean
-	-$(RM) config/trying
-	-$(RM) packages/rpm/Makefile
+	-$(RM) config/trying config/configure
+	-$(RM) Makefile packages/rpm/Makefile
 	-$(RM) *.ini *.ini.old
 	-$(RM) config/confdefs.h
 
@@ -57,5 +63,4 @@
 	dh_strip -a
 endif
 
-%:
-	dh $@ --with ocaml
+override_dh_dwz:
